Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(129)

Issue 48603002: Implement WindowEventHandlers (Closed)

Created:
5 years ago by philipj_slow
Modified:
5 years ago
CC:
blink-reviews, dglazkov+blink, Inactive, adamk+blink_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Implement WindowEventHandlers Spec: http://whatwg.org/html#windoweventhandlers This is mostly refactoring, but there are Web-facing changes for onmessage, onpageshow and onpagehide, which were not correctly handled. Drop the "Not implemented yet" blocks. onafterprint and onbeforeprint are listed in WindowEventHandlers.idl, while onredo and onundo are not in the spec. BUG=305112 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=160816

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+170 lines, -119 lines) Patch
M LayoutTests/fast/dom/window-event-handlers.html View 1 chunk +7 lines, -0 lines 0 comments Download
M LayoutTests/fast/dom/window-event-handlers-expected.txt View 1 chunk +95 lines, -4 lines 0 comments Download
M Source/core/core.gypi View 2 chunks +2 lines, -0 lines 0 comments Download
M Source/core/events/EventTarget.h View 1 chunk +16 lines, -0 lines 0 comments Download
M Source/core/frame/DOMWindow.h View 1 chunk +0 lines, -11 lines 0 comments Download
A + Source/core/frame/DOMWindowEventHandlers.h View 1 chunk +20 lines, -32 lines 0 comments Download
M Source/core/frame/Window.idl View 2 chunks +1 line, -11 lines 0 comments Download
A + Source/core/frame/WindowEventHandlers.idl View 1 chunk +18 lines, -8 lines 0 comments Download
M Source/core/html/HTMLAttributeNames.in View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/HTMLBodyElement.h View 1 chunk +0 lines, -10 lines 0 comments Download
M Source/core/html/HTMLBodyElement.cpp View 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/html/HTMLBodyElement.idl View 2 chunks +1 line, -17 lines 0 comments Download
M Source/core/html/HTMLFrameSetElement.h View 1 chunk +0 lines, -9 lines 0 comments Download
M Source/core/html/HTMLFrameSetElement.cpp View 2 chunks +6 lines, -0 lines 0 comments Download
M Source/core/html/HTMLFrameSetElement.idl View 2 chunks +1 line, -17 lines 0 comments Download

Messages

Total messages: 5 (0 generated)
philipj_slow
This should be the last in the long line of CLs for http://code.google.com/p/chromium/issues/detail?id=305112
5 years ago (2013-10-28 12:03:57 UTC) #1
tkent
lgtm. I recommend you mention removal of onredo and onundo in the CL description. I ...
5 years ago (2013-10-29 08:13:17 UTC) #2
philipj_slow
On 2013/10/29 08:13:17, tkent wrote: > lgtm. > > I recommend you mention removal of ...
5 years ago (2013-10-29 08:23:44 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/philipj@opera.com/48603002/1
5 years ago (2013-10-29 08:24:02 UTC) #4
commit-bot: I haz the power
5 years ago (2013-10-29 09:21:08 UTC) #5
Message was sent while issue was closed.
Change committed as 160816

Powered by Google App Engine
This is Rietveld 408576698